### Hierarchy

- unknown
  - RefundAgent

## Index

### Constructors

- constructor

### Methods

- addLanguageCodes
- clearExtraDataMap
- clearLanguageCodesList
- clearNodeAddress
- clearPubKeyRing
- getEmailAddress
- getExtraDataMap
- getInfo
- getLanguageCodesList
- getNodeAddress
- getPubKeyRing
- getRegistrationDate
- getRegistrationPubKey
- getRegistrationPubKey_asB64
- getRegistrationPubKey_asU8
- getRegistrationSignature
- hasNodeAddress
- hasPubKeyRing
- serializeBinary
- setEmailAddress
- setInfo
- setLanguageCodesList
- setNodeAddress
- setPubKeyRing
- setRegistrationDate
- setRegistrationPubKey
- setRegistrationSignature
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RefundAgent(): RefundAgent

- Inherited from jspb.Message.constructor

  #### Returns RefundAgent

## Methods

### addLanguageCodes

- addLanguageCodes(value: string, index?: number): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2977

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns RefundAgent

### clearExtraDataMap

- clearExtraDataMap(): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:3002

  #### Returns RefundAgent

### clearLanguageCodesList

- clearLanguageCodesList(): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2976

  #### Returns RefundAgent

### clearNodeAddress

- clearNodeAddress(): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2972

  #### Returns RefundAgent

### clearPubKeyRing

- clearPubKeyRing(): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2993

  #### Returns RefundAgent

### getEmailAddress

- getEmailAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:2995

  #### Returns string

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3001

  #### Returns Map<string, string>

### getInfo

- getInfo(): string

- - Defined in src/protobuf/pb_pb.d.ts:2998

  #### Returns string

### getLanguageCodesList

- getLanguageCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:2974

  #### Returns string[]

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2969

  #### Returns undefined | NodeAddress

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2990

  #### Returns undefined | PubKeyRing

### getRegistrationDate

- getRegistrationDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:2979

  #### Returns number

### getRegistrationPubKey

- getRegistrationPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2985

  #### Returns string | Uint8Array

### getRegistrationPubKey_asB64

- getRegistrationPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2987

  #### Returns string

### getRegistrationPubKey_asU8

- getRegistrationPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2986

  #### Returns Uint8Array

### getRegistrationSignature

- getRegistrationSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:2982

  #### Returns string

### hasNodeAddress

- hasNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2971

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2992

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3004

  #### Returns Uint8Array

### setEmailAddress

- setEmailAddress(value: string): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2996

  #### Parameters

  - ##### value: string

  #### Returns RefundAgent

### setInfo

- setInfo(value: string): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2999

  #### Parameters

  - ##### value: string

  #### Returns RefundAgent

### setLanguageCodesList

- setLanguageCodesList(value: string[]): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2975

  #### Parameters

  - ##### value: string[]

  #### Returns RefundAgent

### setNodeAddress

- setNodeAddress(value?: NodeAddress ): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2970

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns RefundAgent

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2991

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns RefundAgent

### setRegistrationDate

- setRegistrationDate(value: number): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2980

  #### Parameters

  - ##### value: number

  #### Returns RefundAgent

### setRegistrationPubKey

- setRegistrationPubKey(value: string | Uint8Array): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2988

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RefundAgent

### setRegistrationSignature

- setRegistrationSignature(value: string): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:2983

  #### Parameters

  - ##### value: string

  #### Returns RefundAgent

### toObject

- toObject(includeInstance?: boolean): RefundAgent . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3005

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RefundAgent . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:3008

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RefundAgent

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RefundAgent, reader: BinaryReader): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:3009

  #### Parameters

  - ##### message: RefundAgent

  - ##### reader: BinaryReader

  #### Returns RefundAgent

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RefundAgent, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3007

  #### Parameters

  - ##### message: RefundAgent

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RefundAgent ): RefundAgent . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3006

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RefundAgent

  #### Returns RefundAgent . AsObject

Generated using TypeDoc